POST api/batchapi/witnessfordrying

Request Information

URI Parameters

None.

Body Parameters

MedistreamStateViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

None.

batch_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "3acc5070-b20d-4aff-8b54-4ef2ec6f91bf",
  "batch_id": "da3e7488-3c70-4700-96f0-c44b6283f8c8"
}

application/xml, text/xml

Sample:
<medistream_state xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>da3e7488-3c70-4700-96f0-c44b6283f8c8</batch_id>
  <medistream_id>3acc5070-b20d-4aff-8b54-4ef2ec6f91bf</medistream_id>
</medistream_state>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MedistreamStateViewModel'.

Response Information

Resource Description

WitnessForDryingViewModel
NameDescriptionTypeAdditional information
medistream_state

integer

None.

current_batch

string

None.

witnesses

Collection of WitnessForDryingItem

None.

Response Formats

application/json, text/json

Sample:
{
  "medistream_state": 1,
  "current_batch": "sample string 2",
  "witnesses": [
    {
      "witnessId": "6ac2f1da-2b50-4124-be00-2f2a5cfdaf27",
      "witnessCode": 2.1,
      "compartment": 3,
      "state": 4
    },
    {
      "witnessId": "6ac2f1da-2b50-4124-be00-2f2a5cfdaf27",
      "witnessCode": 2.1,
      "compartment": 3,
      "state": 4
    }
  ]
}

application/xml, text/xml

Sample:
<witness_for_drying xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <current_batch>sample string 2</current_batch>
  <medistream_state>1</medistream_state>
  <witnesses>
    <WitnessForDryingItem>
      <Compartment>3</Compartment>
      <State>4</State>
      <WitnessCode>2.1</WitnessCode>
      <WitnessId>6ac2f1da-2b50-4124-be00-2f2a5cfdaf27</WitnessId>
    </WitnessForDryingItem>
    <WitnessForDryingItem>
      <Compartment>3</Compartment>
      <State>4</State>
      <WitnessCode>2.1</WitnessCode>
      <WitnessId>6ac2f1da-2b50-4124-be00-2f2a5cfdaf27</WitnessId>
    </WitnessForDryingItem>
  </witnesses>
</witness_for_drying>